## BtMachinePreferencesDialog BtMachinePreferencesDialog — machine non-realtime parameters |

## Functions

BtMachinePreferencesDialog * | bt_machine_preferences_dialog_new ()

## Properties

BtMachine * | machine | Write / Construct Only

## Types and Values

struct | BtMachinePreferencesDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── BtMachinePreferencesDialog

## Implemented Interfaces

BtMachinePreferencesDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include "bt-edit.h"

## Description

A dialog to configure static settings of a BtMachine.

## Functions

### bt_machine_preferences_dialog_new ()

    BtMachinePreferencesDialog *
    bt_machine_preferences_dialog_new (const BtMachine *machine);

Create a new instance

#### Parameters

machine | the machine to create the dialog for |

#### Returns

the new instance

## Types and Values

### struct BtMachinePreferencesDialog

    struct BtMachinePreferencesDialog;

the root window for the editor application

## Property Details

### The `“machine”` property

      “machine”                  BtMachine *

Set machine object, the dialog handles.

Flags: Write / Construct Only

## See Also

BtMachine